#!/usr/bin/env python

# Crosshair.py
# Created by Tin Tran (Translated from .scm by Gregory M. Ross, nothing much to translate since this plug-in is really simmple)
# Comments directed to http://gimplearn.net
#
# License: GPLv3
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY# without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# To view a copy of the GNU General Public License
# visit: http://www.gnu.org/licenses/gpl.html
#
#
# ------------
#| Change Log |
# ------------
# Rel 1: Initial release.
import math
#import Image
from gimpfu import *
def python_crosshair_tt(image, layer):
	pdb.gimp_image_undo_group_start(image)
	pdb.gimp_context_push()
	offset_x,offset_y = pdb.gimp_drawable_offsets(layer)
	pdb.gimp_image_add_hguide(image,layer.height/2.0 + offset_y)
	pdb.gimp_image_add_vguide(image,layer.width/2.0 + offset_x)
	pdb.gimp_context_pop()
	pdb.gimp_image_undo_group_end(image)
	pdb.gimp_displays_flush()
    #return

register(
	"python_fu_crosshair_tt",                           
	"Create Crosshair Guides",
	"Create Crosshair Guides",
	"Tin Tran",
	"Tin Tran",
	"April 2019",
	"<Image>/View/Crosshair Guides",             #Menu path
	"RGB*, GRAY*", 
	[
	],
	[],
	python_crosshair_tt)

main()
